Update auf Gnome 2.8 mit APT

Alles rund um die Installation Eures Linuxsystems, sowie die Updatefunktionen des Systems und das Paketmanagement

Moderator: Moderatoren

Antworten
Bitcrawler
Newbie
Newbie
Beiträge: 3
Registriert: 30. Sep 2004, 15:29

Update auf Gnome 2.8 mit APT

Beitrag von Bitcrawler » 1. Okt 2004, 12:22

Hallo zusammen,

irgendwie verzeifel ich beim Updaten Gnome 2.4 > 2.8

Mit APT bin ich so vorgegangen:

apt-get update
apt-get upgrade
apt-get update
apt-get install <insert copy and pasted list of held back packages here>
apt-get install ulb-gnome

Das ganze läuft auch ohne Fehler durch. Nur beim Start von Gnome habe ich immer noch die Version 2.4. Was mach ich falsch?


Gruß
Frank

Werbung:
Bitcrawler
Newbie
Newbie
Beiträge: 3
Registriert: 30. Sep 2004, 15:29

Beitrag von Bitcrawler » 1. Okt 2004, 12:47

Hallo zusammen,

ich konnte mir die Frage gerade selbst beantworten :lol:

Gnome 2.8 funzt jetzt :D



Gruß
Frank

Benutzeravatar
oc2pus
Ultimate Guru
Ultimate Guru
Beiträge: 6506
Registriert: 21. Jun 2004, 13:01

Beitrag von oc2pus » 1. Okt 2004, 12:52

@bitcrawler
du bist mir vielleicht ein Kasper ;)

zu deinem ersten Posting: falsches Forum ...
zu deinem zweiten Posting: anstatt hier rum zu schreien das es toll funktioniert... was hast du dir selber beantwortet? .... schreibe es einfach hin.

und warum ein zweites Posting? Schon mal was von der Edit Funktion gehört ?

dann könntest du an deinem ersten Posting die Infos anhängen, den Topic abändern z.Bsp in "[Tip] update auf gnome 2.8 mit apt" und schon haben alle etwas davon.
tell people what you want to do, and they'll probably help you to do it.
PackMan
LinWiki : Das Wiki für Linux User

Bitcrawler
Newbie
Newbie
Beiträge: 3
Registriert: 30. Sep 2004, 15:29

Beitrag von Bitcrawler » 1. Okt 2004, 14:55

@oc2plus

Du hast natürlich vollkommen recht, sorry, meine Freude war so groß, dass ich daran in dem Moment nicht gedacht habe.

Natürlich kenne ich "edit", schließlich bin ich Admin in einem Forum :wink:

Damit dieser Beitrag nicht nutzlos ist........

Der Fehler beim Update auf Gnome 2.8 waren die GPG Keys der Packages. Mit der Option --no-checksig bei apg install konnte ich die Installation fehlerfrei beenden.


Gruß
Frank

MorLipf
Newbie
Newbie
Beiträge: 14
Registriert: 6. Jun 2004, 10:34
Wohnort: Solingen
Kontaktdaten:

Beitrag von MorLipf » 1. Okt 2004, 22:02

Wenn ich bei mir "apt install ulb-gnome" ausführe kommt:

Code: Alles auswählen

Die folgenden Pakete besitzen unerfülte Abhängigkeiten:
  ulb-gnome: Hängt ab von: ulb-themes (>= 0.0.1) aber es wird nicht installiertwerden
             Hängt ab von: gnome-themes-extras (>= 0.8.0) aber es wird nicht installiert werden
             Hängt ab von: libgnome (>= 2.8.0) aber 2.6.1-3 wird installiert werden
             Hängt ab von: gnome-session (>= 2.8.0) aber 2.6.1-5 wird installiert werden
             Hängt ab von: galeon (>= 1.3.17) aber es wird nicht installiert werden
             Hängt ab von: nautilus-media (>= 0.8.1) aber 0.8.0-5 wird installiert werden
             Hängt ab von: nautilus (>= 2.8.0) aber 2.6.1-5 wird installiert werden
             Obsoletes: gnome2-SuSE aber 0.1-437 wird installiert werden

Werd daraus aber nicht schlau. Kann mir das mal jemand erklären?



Edit: Hat sich erledigt, "suser-jogley" fehlte in der sources.list.

moddingfan
Newbie
Newbie
Beiträge: 5
Registriert: 15. Aug 2004, 15:46

Beitrag von moddingfan » 2. Okt 2004, 14:33

was sollte man eigentlich am besten in die Sources List eintragen??

kernel-of-the-day sollte man das auch eintragen, oder lieber nicht?

4TouchdownsBundy
Newbie
Newbie
Beiträge: 5
Registriert: 1. Okt 2004, 19:06

Beitrag von 4TouchdownsBundy » 2. Okt 2004, 15:05

Meinst du das jetzt mit dem Eintragen allgemein oder speziell für Gnome 2.8?

Speziell für Gnome 2.8 würde ich sagen:

rpm ftp://ftp.gwdg.de/pub/linux/suse/apt/ SuSE/9.1-i386 usr-local-bin

vgl. http://usr-local-bin.org/rpms/usr-local-bin.php
vgl. http://www.pro-linux.de/news/2004/7316.html

Benutzeravatar
oc2pus
Ultimate Guru
Ultimate Guru
Beiträge: 6506
Registriert: 21. Jun 2004, 13:01

Beitrag von oc2pus » 2. Okt 2004, 17:49

warum mache ich mir überhaupt die Arbeit?????

===> da steht eigentlich alles ...
[Tip] [Howto] Gnome 2.6 / 2.8 mit apt installieren
http://www.linux-club.de/viewtopic.php?t=16307
tell people what you want to do, and they'll probably help you to do it.
PackMan
LinWiki : Das Wiki für Linux User

Antworten

Wer ist online?

Mitglieder in diesem Forum: 0 Mitglieder und 2 Gäste